Bug 65614 - xmms-skins should be a noarch package
xmms-skins should be a noarch package
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: xmms (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 12:41 EDT by Ivan Bilenjkij
Modified: 2013-03-13 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 10:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Bilenjkij 2002-05-28 12:41:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux 2.4.19-pre7; X11; i686; en_GB, en_US)

Description of problem:
xmms-skins does not contain any arch dependencies - should be a noarch package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. NONE 
 

Additional info:
Comment 1 Bill Nottingham 2002-05-28 12:47:02 EDT
xmms-skins is built as a subpackage of xmms, and therefore cannot be noarch.
Comment 2 Matthias Saou 2005-01-05 07:07:45 EST
The xmms-skins package has no valid reason to be part of the xmms
source rpm IMHO, and could easily be split off completely. It's been
an unnecessary additional 1MB to each and every xmms errata, and the
actual skins contained in there haven't changed in years (literraly).
So... I'd suggest splitting them off once and for all, and even why
not moving them to Fedora Extras later on.

If this seems reasonable, please just say so and I can attach a patch
to the xmms spec to remove the skins as well as a new xmms-skins spec
file (or import it directly into Extras).
Comment 3 Bill Nottingham 2005-01-05 14:00:02 EST
The cynic in me says xmms would probably go to extras soon anyway. >:)
Comment 4 Matthias Saou 2005-01-05 15:15:36 EST
I'd tend to agree, but unfortunately rhythmbox isn't well suited to
listen to single files (i.e. just downloaded, not in a well organised
tree), and that kind of "simple" audio player is very useful to have.
Maybe totem can take that place... but again, if that means having
some kind of goom vizualisation by default, it's overkill.

Back on track : IMHO, even if xmms gets moved to Extras when the time
comes, xmms-skins can have been made a separate package anytime before
that ;-)
Comment 5 Matthias Saou 2005-04-14 10:09:29 EDT
Well, xmms is in Extras Development (will be in FC4 Extras), and I'm splitting
off the xmms-skins package right now, as noarch at last.

Note You need to log in before you can comment on or make changes to this bug.